@import "../private-sale-popup/private-sale-popup.component.scss";

.area {
  min-height: 5rem !important;
  overflow: hidden;
  video {
    width: 400px;
    height: 400px;
    
  }
  .header {
    justify-content: unset;
    padding-left: 3.75rem;
    position: relative;
    .h-text {
      font-weight: 500;
      font-size: 2rem;
      line-height: 2.125rem;
    }
  }
  .body {
    padding: 0;
  }

  .line {
    display: flex;
    align-items: center;
    .tick {
      width: 0.875rem;
      height: 0.75rem;
      margin-right: 0.6875rem;
    }
    .line-text-1 .line-text-2 .line-text-3 {
      font-family: Kanit;
      font-style: normal;
    }
    .line-text-1 {
      font-weight: 600;
      font-size: 1.0625rem;
      line-height: 1.5rem;
      color: #d8e2ea;
    }
    .line-text-2 {
      cursor: pointer;
      font-weight: 500;
      font-size: 1rem;
      line-height: 1.5rem;
      color: #ff36d3;
    }
    .line-text-3 {
      font-style: italic;
      font-weight: 400;
      font-size: 0.9375rem;
      line-height: 1.5rem;
      color: #bbc6d7;
    }
    .pink {
      color: #ff36d3;
    }
  }

  .button_join {
    position: absolute;
    top: 5px;
    right: 25px;
    height: 134px;
    width: 175px;
    z-index: 99;
    cursor: pointer;
    img {
      height: 100%;
      width: 100%;
      object-fit: contain;
    }
  }

  .submit {
    text-align: center;
    .button {
      min-width: 19rem;
      height: 3rem;
      margin-top: 2rem;
      background: #ff36d3;
      border: none;
      .text-href {
        font-family: Kanit;
        font-style: normal;
        font-weight: 500;
        font-size: 1rem;
        line-height: 1.5;
        color: #ffffff;
        text-decoration: none;
      }
    }
    .line-text-4 {
      margin: 2.375rem 0;
      font-style: normal;
      font-weight: 400;
      font-size: 0.875rem;
      line-height: 1.5rem;
      text-align: center;
      color: #d8e2ea;
    }
  }
}



/* ----------------------------------------------
 * Generated by Animista on 2023-3-14 13:56:16
 * Licensed under FreeBSD License.
 * See http://animista.net/license for more info. 
 * w: http://animista.net, t: @cssanimista
 * ---------------------------------------------- */

/**
 * ----------------------------------------
 * animation jello-horizontal
 * ----------------------------------------
 */
 @-webkit-keyframes jello-horizontal {
  0% {
    -webkit-transform: scale3d(1, 1, 1);
            transform: scale3d(1, 1, 1);
  }
  30% {
    -webkit-transform: scale3d(1.25, 0.75, 1);
            transform: scale3d(1.25, 0.75, 1);
  }
  40% {
    -webkit-transform: scale3d(0.75, 1.25, 1);
            transform: scale3d(0.75, 1.25, 1);
  }
  50% {
    -webkit-transform: scale3d(1.15, 0.85, 1);
            transform: scale3d(1.15, 0.85, 1);
  }
  65% {
    -webkit-transform: scale3d(0.95, 1.05, 1);
            transform: scale3d(0.95, 1.05, 1);
  }
  75% {
    -webkit-transform: scale3d(1.05, 0.95, 1);
            transform: scale3d(1.05, 0.95, 1);
  }
  100% {
    -webkit-transform: scale3d(1, 1, 1);
            transform: scale3d(1, 1, 1);
  }
}
@keyframes jello-horizontal {
  0% {
    -webkit-transform: scale3d(1, 1, 1);
            transform: scale3d(1, 1, 1);
  }
  30% {
    -webkit-transform: scale3d(1.25, 0.75, 1);
            transform: scale3d(1.25, 0.75, 1);
  }
  40% {
    -webkit-transform: scale3d(0.75, 1.25, 1);
            transform: scale3d(0.75, 1.25, 1);
  }
  50% {
    -webkit-transform: scale3d(1.15, 0.85, 1);
            transform: scale3d(1.15, 0.85, 1);
  }
  65% {
    -webkit-transform: scale3d(0.95, 1.05, 1);
            transform: scale3d(0.95, 1.05, 1);
  }
  75% {
    -webkit-transform: scale3d(1.05, 0.95, 1);
            transform: scale3d(1.05, 0.95, 1);
  }
  100% {
    -webkit-transform: scale3d(1, 1, 1);
            transform: scale3d(1, 1, 1);
  }
}

.jello-horizontal {
	-webkit-animation: jello-horizontal 0.9s both;
	        animation: jello-horizontal 0.9s both;
}